# cookiecutter-data-template 

## Contents: 

#### - Folders: 
        - docs
        - figures
        - data 
            - interim
            - processed
            - raw
        - figures
        - models
        - src
        - paper 

#### - Files: 
        - LICENSE.md
        - README.md

#### - Folders and Files not required for Project must be removed manually

## Usage Guide

#### - `pip install cookiecutter` -  if cookiecutter is not already installed. 

#### - Then go to desired folder for repository and open the git bash there, then run the command: 

`cookiecutter https://git.rwth-aachen.de/ants/sensorlab/templates/cookiecutter-data-template`

####  - initialize new repository from this folder and link it to the ants gitlab server.


### How to link repository to our gitlab server

#### - go into the template folder and write into the bash console:   

<<<<<<< HEAD
#### `git init`
=======
 run `git add .`
>>>>>>> 33f0170e581560fd1bd711807cb543e418240ca7

#### - run `git add` .

#### - run `git commit`

<<<<<<< HEAD
#### - create remote repository on gitlab server

#### - `git remote add origin` (link_to_repo_on_git_server)
=======
### git remote add origin (link_to_repo_on_git_server)
>>>>>>> 33f0170e581560fd1bd711807cb543e418240ca7
